image:
  registry: ghcr.io
  repository: seerr-team/seerr
  pullPolicy: IfNotPresent
  # -- Overrides the image tag whose default is the chart appVersion.
  tag: ''
  sha: ''

imagePullSecrets: []
nameOverride: ''
fullnameOverride: ''

# Liveness / Readiness / Startup Probes
probes:
  # -- Configure liveness probe
  livenessProbe: {}
  # initialDelaySeconds: 60
  # periodSeconds: 30
  # timeoutSeconds: 5
  # successThreshold: 1
  # failureThreshold: 5
  # -- Configure readiness probe
  readinessProbe: {}
  # initialDelaySeconds: 60
  # periodSeconds: 30
  # timeoutSeconds: 5
  # successThreshold: 1
  # failureThreshold: 5
  # -- Configure startup probe
  startupProbe: null
  #  tcpSocket:
  #    port: http

# -- Environment variables to add to the seerr pods
extraEnv: []
# -- Environment variables from secrets or configmaps to add to the seerr pods
extraEnvFrom: []

serviceAccount:
  # -- Specifies whether a service account should be created
  create: true
  # -- Automatically mount a ServiceAccount's API credentials?
  automount: true
  # -- Annotations to add to the service account
  annotations: {}
  # -- The name of the service account to use.
  # -- If not set and create is true, a name is generated using the fullname template
  name: ''

podAnnotations: {}
podLabels: {}

podSecurityContext:
  fsGroup: 1000
  fsGroupChangePolicy: OnRootMismatch

securityContext:
  allowPrivilegeEscalation: false
  capabilities:
    drop:
      - ALL
  readOnlyRootFilesystem: false
  runAsNonRoot: true
  privileged: false
  runAsUser: 1000
  runAsGroup: 1000
  seccompProfile:
    type: RuntimeDefault

service:
  type: ClusterIP
  port: 80

# -- Creating PVC to store configuration
config:
  persistence:
    # -- Size of persistent disk
    size: 5Gi
    # -- Annotations for PVCs
    annotations: {}
    # -- Access modes of persistent disk
    accessModes:
      - ReadWriteOnce
    # -- Config name
    name: ''
    # -- Name of the permanent volume to reference in the claim.
    # Can be used to bind to existing volumes.
    volumeName: ''
    # -- Specify an existing `PersistentVolumeClaim` to use. If this value is provided, the default PVC will not be created
    existingClaim: ''

ingress:
  enabled: false
  ingressClassName: ''
  annotations: {}
  #  kubernetes.io/ingress.class: nginx
  #  kubernetes.io/tls-acme: "true"
  hosts:
    - host: chart-example.local
      paths:
        - path: /
          pathType: ImplementationSpecific
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local

resources: {}
# We usually recommend not to specify default resources and to leave this as a conscious
# choice for the user. This also increases chances charts run on environments with little
# resources, such as Minikube. If you do want to specify resources, uncomment the following
# lines, adjust them as necessary, and remove the curly braces after 'resources:'.
# limits:
#   cpu: 100m
#   memory: 128Mi
# requests:
#   cpu: 100m
#   memory: 128Mi

# -- Additional volumes on the output StatefulSet definition.
volumes: []
# - name: foo
#   secret:
#     secretName: mysecret
#     optional: false

# -- Additional volumeMounts on the output StatefulSet definition.
volumeMounts: []
# - name: foo
#   mountPath: "/etc/foo"
#   readOnly: true

nodeSelector: {}

tolerations: []

affinity: {}
